Subject: Re: Bug in B20.1 make with mixed case environment variables
From: Earnie Boyd <[email-masked]>
To: Don Baker <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Thu, 24 Jun 1999 10:38:54 -0700 (PDT)

--- Don Baker <[email-masked]> wrote:
> B20.1 uses GNU make 3.75 which seems to have a bug or mis-feature
> where (DOS) environment variable names are converted to upper case
> when made into makefile variables.  (I believe that GNU make 3.77

This is not a "mis-feature" of make but a feature of the cygwin1.dll when
converting from DOS to POSIX.

> fixes this problem, so upgrading may be all that's necessary. 
> Unfortunately, I don't know the exact lineage of the make 3.77
> that I have.)
> 

Not likely as it isn't make's problem.

> From a DOS shell, set an environment variable with lower case
> letters:
> 
> set foo=hello
> 
> Then run make on the following makefile:
> 
> all:
> 	echo $(foo)
> 
> The echo is empty, unless the makefile variable is changed
> to all upper case, where "hello" is printed.  This problem
> does not seem to occur if the environment variable is set
> in bash.  (Bash, however has all of the DOS environement
> variables converted to upper case.)
> 

If you wish to keep the lower case then

DOS> bash
$ export foo=bar
$ make

> Thanks for looking into this problem.

You're welcome.
===
Earnie Boyd <mailto:[email-masked]>

Newbies, please visit
<http://www.freeyellow.com/members5/gw32/index.html>

(If you respond to the list, then please don't cc me)
_________________________________________________________
Do You Yahoo!?
Get your free @yahoo.com address at http://mail.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]